%define majver %(echo %version | cut -d. -f1-2)
Name:          libgssdp
Version:       0.14.13
Release:       1mamba
Summary:       A library that implements resource discovery and announcement over SSDP.
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gupnp.org/
Source:        ftp://ftp.gnome.org/pub/gnome/sources/gssdp/%{majver}/gssdp-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk2-devel
BuildRequires: libpango-devel
BuildRequires: libsoup-devel
BuildRequires: pkg-config
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
GSSDP implements resource discovery and announcement over SSDP.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
GSSDP implements resource discovery and announcement over SSDP.

This package contains static libraries and header files need for development.

%prep
%setup -q -n gssdp-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/gssdp-device-sniffer
%{_libdir}/libgssdp-1.0.so.*
%{_datadir}/gssdp/gssdp-device-sniffer.ui
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/gssdp-1.0/libgssdp/gssdp*.h
%{_libdir}/libgssdp-1.0.a
%{_libdir}/libgssdp-1.0.la
%{_libdir}/libgssdp-1.0.so
%{_libdir}/girepository-1.0/GSSDP-*.typelib
%{_datadir}/gir-1.0/GSSDP-*.gir
%dir %{_datadir}/gtk-doc/html/gssdp
%{_datadir}/gtk-doc/html/gssdp/*
%{_datadir}/vala/vapi/gssdp-1.0.deps
%{_datadir}/vala/vapi/gssdp-1.0.vapi
%{_libdir}/pkgconfig/*.pc
%doc ChangeLog NEWS README

%changelog
* Thu Dec 31 2015 Automatic Build System <autodist@mambasoft.it> 0.14.13-1mamba
- automatic version update by autodist

* Thu Dec 03 2015 Automatic Build System <autodist@mambasoft.it> 0.14.12.1-1mamba
- automatic version update by autodist

* Sat Nov 21 2015 Automatic Build System <autodist@mambasoft.it> 0.14.12-1mamba
- automatic version update by autodist

* Wed Jan 28 2015 Automatic Build System <autodist@mambasoft.it> 0.14.11-1mamba
- automatic version update by autodist

* Sat Aug 16 2014 Automatic Build System <autodist@mambasoft.it> 0.14.10-1mamba
- automatic version update by autodist

* Sat Jul 26 2014 Automatic Build System <autodist@mambasoft.it> 0.14.9-1mamba
- automatic version update by autodist

* Sun May 25 2014 Automatic Build System <autodist@mambasoft.it> 0.14.8-1mamba
- automatic version update by autodist

* Tue Feb 04 2014 Automatic Build System <autodist@mambasoft.it> 0.14.7-1mamba
- automatic version update by autodist

* Thu Oct 31 2013 Automatic Build System <autodist@mambasoft.it> 0.14.6-1mamba
- automatic version update by autodist

* Sun Sep 08 2013 Automatic Build System <autodist@mambasoft.it> 0.14.5-1mamba
- automatic update by autodist

* Tue Jul 30 2013 Automatic Build System <autodist@mambasoft.it> 0.14.4-1mamba
- automatic version update by autodist

* Tue May 28 2013 Automatic Build System <autodist@mambasoft.it> 0.14.3-1mamba
- automatic version update by autodist

* Wed Mar 27 2013 Automatic Build System <autodist@mambasoft.it> 0.14.2-1mamba
- automatic version update by autodist

* Mon Jan 07 2013 Automatic Build System <autodist@mambasoft.it> 0.13.2-1mamba
- automatic version update by autodist

* Wed Oct 24 2012 Automatic Build System <autodist@mambasoft.it> 0.13.1-1mamba
- automatic version update by autodist

* Sun Oct 07 2012 Automatic Build System <autodist@mambasoft.it> 0.13.0-1mamba
- automatic version update by autodist

* Thu Sep 27 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.12.2.1-1mamba
- update to 0.12.2

* Thu Oct 28 2010 Automatic Build System <autodist@mambasoft.it> 0.7.2-2mamba
- automatic rebuild by autodist

* Fri Jun 25 2010 Automatic Build System <autodist@mambasoft.it> 0.7.2-1mamba
- automatic update by autodist

* Wed Feb 10 2010 Automatic Build System <autodist@mambasoft.it> 0.7.1-1mamba
- automatic update by autodist

* Wed Nov 18 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.0-1mamba
- package created by autospec
